Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
[Java] Class ParameterTypes

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes

    public class ParameterTypes
    extends Object

Field Summary
`protected boolean` | `isVargsMethod`
`protected Class[]` | `nativeParamTypes`
`protected CachedClass[]` | `parameterTypes`

Constructor Summary
`ParameterTypes()`
`ParameterTypes(Class[] pt)`
`ParameterTypes(String[] pt)`
`ParameterTypes(CachedClass[] parameterTypes)`

Method Summary
`Object[]` | `coerceArgumentsToClasses(Object[] argumentArray)`
`Object[]` | `correctArguments(Object[] argumentArray)`
`Class[]` | `getNativeParameterTypes()`
`protected Class[]` | `getPT()`
`CachedClass[]` | `getParameterTypes()`
`boolean` | `isValidExactMethod(Object[] args)`
`boolean` | `isValidExactMethod(Class[] args)`
`boolean` | `isValidMethod(Class[] arguments)`
`boolean` | `isValidMethod(Object[] arguments)`
`boolean` | `isVargsMethod(Object[] arguments)`
`protected void` | `setParametersTypes(CachedClass[] pt)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### isVargsMethod

    protected boolean isVargsMethod

### nativeParamTypes

    protected Class[] nativeParamTypes

### parameterTypes

    protected CachedClass[] parameterTypes

Constructor Detail

### ParameterTypes

    public ParameterTypes()

### ParameterTypes

    public ParameterTypes(Class[] pt)

### ParameterTypes

    public ParameterTypes(String[] pt)

### ParameterTypes

    public ParameterTypes(CachedClass[] parameterTypes)

Method Detail

### coerceArgumentsToClasses

    public final Object[] coerceArgumentsToClasses(Object[] argumentArray)

### correctArguments

    public Object[] correctArguments(Object[] argumentArray)

### getNativeParameterTypes

    public Class[] getNativeParameterTypes()

### getPT

    protected Class[] getPT()

### getParameterTypes

    public CachedClass[] getParameterTypes()

### isValidExactMethod

    public boolean isValidExactMethod(Object[] args)

### isValidExactMethod

    public boolean isValidExactMethod(Class[] args)

### isValidMethod

    public boolean isValidMethod(Class[] arguments)

### isValidMethod

    public boolean isValidMethod(Object[] arguments)

### isVargsMethod

    public boolean isVargsMethod(Object[] arguments)

### setParametersTypes

    protected final void setParametersTypes(CachedClass[] pt)

Copyright © 2003-2010 The Codehaus. All rights reserved.